--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: language
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: from_locale
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: This constant hash holds the mapping from long language names to the usual POSIX locale specifications
  name: Lang2Locale
  value: "{       :english  => 'en',       :british_english  => 'en_GB',       :american_english  => 'en_US',       :italian  => 'it',       :french   => 'fr',       :german   => 'de',       :dutch    => 'nl',       :japanese => 'ja',       :russian  => 'ru',       :traditional_chinese => 'zh_TW',       :simplified_chinese => 'zh_CN'"
full_name: Irc::Bot::Language
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: get
- !ruby/object:RI::MethodSummary 
  name: rescan
- !ruby/object:RI::MethodSummary 
  name: save
- !ruby/object:RI::MethodSummary 
  name: scan
- !ruby/object:RI::MethodSummary 
  name: set_language
name: Language
superclass: Object
